Bug 833910 - openswan doesn't recognize the loopback option
openswan doesn't recognize the loopback option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openswan (Show other bugs)
7.0
All Linux
high Severity high
: beta
: 7.0
Assigned To: Avesh Agarwal
Aleš Mareček
:
Depends On:
Blocks: RHEL7CCC 1028369
  Show dependency treegraph
 
Reported: 2012-06-20 10:11 EDT by Aleš Mareček
Modified: 2014-01-22 16:25 EST (History)
5 users (show)

See Also:
Fixed In Version: openswan-2.6.38-10.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1028369 (view as bug list)
Environment:
Last Closed: 2013-11-08 05:01:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleš Mareček 2012-06-20 10:11:44 EDT
Description of problem:
It seems that openswan doesn't recognize option "loopback" in RHEL-7.
$ service ipsec start
failed to start openswan IKE daemon - the following error occured:
can not load config '/etc/ipsec.conf': /etc/ipsec.conf:17: syntax error, unexpected STRING [loopback]
$ head -17 /etc/ipsec.conf | tail -1
        loopback=yes


Version-Release number of selected component (if applicable):
openswan-2.6.37-3.el7

How reproducible:
Always

Steps to Reproduce:
1. Run the beaker test: /CoreOS/openswan/Regression/bz711975-incomplete-policy-for-loopback-when-using
NOTE: There is also ipsec.conf included
  
Actual results:
FAIL

Expected results:
PASS (loopback option work in RHEL-6)

Additional info:
Comment 5 Avesh Agarwal 2012-12-10 15:39:36 EST
This has been fixed in openswan-2.6.38-10.el7.
Comment 6 Aleš Mareček 2013-02-08 05:10:21 EST
I can confirm the issue has dissappeared with openswan-2.6.38-10.el7 (tested on x86_64 and ppc64).
Comment 7 Ondrej Moriš 2013-05-27 04:53:35 EDT
I will retest this issue on the latest RHEL7.
Comment 10 Eric Paris 2013-11-07 12:15:32 EST
moving this from openswan to libreswan (as we aren't shipping 'openswan' in rhel7)   Paul, you should be able to attach this bug directly to the errata.

Note You need to log in before you can comment on or make changes to this bug.